# Type Alias SerialOperationDetails<TSerialOperationType, TTable>

SerialOperationDetails<TSerialOperationType, TTable>: TSerialOperationType extends "insert"
? {
objects: ValueForTable<TTable> | ValueForTable<TTable>[];
}
: TSerialOperationType extends "update"
? {
exp: ExpForTable<TTable> | number | number[];
value: ValueForTable<TTable>;
}
: TSerialOperationType extends "delete"
? {
exp: ExpForTable<TTable> | number | number[];
}
: never

#### Type Parameters

- TSerialOperationType extends SerialOperationType
- TTable extends Table<TSerialOperationType>

- Defined in work/deeplinks/deeplinks/imports/client.tsx:512